Subject: Re: SystemAce Driver.

From: sudheer <[email-masked]>
Date: Thu, 10 Aug 2006 08:36:37 +0530

Hi Frank D Lombardo

Thanks for the reply.

I have done the same and  got the support files for system ace.

Thanks & Regards
Sudheer

Frank D Lombardo wrote:
> sudheer wrote:
>> Hello Ameet Patil
>>
>> I am looking for linux kernel source 2.6.16 with system ace 
>> controller support. I downloaded the linux-2.6.16 and linux-2.6.17-1 
>> source from kernel.org but could not find any files related to system 
>> ace controller  ( No xilinx_sysace directory in  drivers/block/) .  I 
>> have checked penguinppc.org also but could not get it.
>>
>> Can you please send to me the link where i could download the 
>> linuxppc-2.6.16 source with system ace support.
>>
>> Thanks & Regards
>> Sudheer
>>
>> Ameet Patil wrote:
>>> Hi Raja,
>>>     I have ported the Xilinx System ACE driver to 2.6 kernel. Find 
>>> the latest one here:
>>> http://www.cs.york.ac.uk/rtslab/demos/amos/xupv2pro/patches/linuxppc-2.6.17.1-sysace-1.2.patch 
>>>
>>>
>>> NOTE: this patch wouldn't work if you are using the TEMAC driver. In 
>>> which case use the -after-TEMAC patch found in the patches folder 
>>> above.
>>>
>>> Check the following discussions (threads) for more details:
>>> 1. "Xilinx SystemACE driver for 2.6"
>>> 2. "Xilinx BSP for linux 2.6"
>>> 3. "Kernel hangs after "Now booting the kernel"."
>>>
>>> cheers,
>>> -Ameet
>>>
>>> Raja Chidambaram wrote:
>>>  
>>>>  Hi all,
>>>>  We are working on customized board with amcc 440SPe
>>>> processor & xilinx System Ace controller. The System
>>>> Ace controller is connected to compact flash driver.
>>>>
>>>> We use u-boot 1.2 as bootloader & linux kernel
>>>> 2.6.16-2.
>>>>
>>>> On the process the u-boot is able to detect compact
>>>> flash through Xilinx SystemAce controller & able to
>>>> load the kernel image into compact flash.But when the
>>>> linux boot's up it not able to detect the System Ace
>>>> controller or compact flash.
>>>>
>>>> Note:we need to have the root file system in compact
>>>> flash.
>>>>
>>>> Is their any drivers available for SystemAce
>>>> controller on linux 2.6,if their how to get it.please
>>>> help me in this
>>>>                                     with regards
>>>>                                      raja
>>>>
>>>>
>>>>
>>>> __________________________________________________
>>>> Do You Yahoo!?
>>>> Tired of spam?  Yahoo! Mail has the best spam protection around 
>>>> http://mail.yahoo.com _______________________________________________
>>>> Linuxppc-embedded mailing list
>>>> [email-masked]
>>>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>>>
>>>>     
>>> _______________________________________________
>>> Linuxppc-embedded mailing list
>>> [email-masked]
>>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>>
>>>   
>>
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> Sudheer,
>
> You need to download the SystemAce patch and apply it to the 2.6.17.1 
> Kernel.  The patch can be downloaded from: 
> http://www.cs.york.ac.uk/rtslab/demos/amos/xupv2pro/patches/linuxppc-2.6.17.1-sysace-1.2.patch 
>
>
> Save the patch to the root of the Kernel sources and run the following 
> command:
> patch -p1 < linuxppc-2.6.17.1-sysace-1.2.patch
>
> Frank
> <http://www.cs.york.ac.uk/rtslab/demos/amos/xupv2pro/patches/linuxppc-2.6.17.1-sysace-1.2.patch> 
>
>
> //
> //
>
>
>